Subject: Re: bug#17552: Sometimes md5sum misses files

From: Pádraig Brady <[email-masked]>
Date: Thu, 22 May 2014 18:35:35 +0100

tag 17552 notabug
close 17552
stop

On 05/22/2014 06:18 PM, Hamilton, Eric wrote:
> Hi
> 
>  
> 
> I just noticed that md5sum sometimes does not calculate a md5 checksum
> on a file when using wild cards.
> 
>  
> 
> I am running Cygwin64 under Windows7 64-bit and am executing the program
> within a Ms-Dos window.
> 
>  
> 
> My call is "md5sum *.h64"
> 
> md5sum "missed" doing a checksum on the lang.h64 file.
> 
>  
> 
> If I run md5sum directly on lang.h64, then I get a checksum.

I see in the zip file that the file name is actually lang.H64
I.E. a capital 'H'. So I'm guessing that the glob done
by the shell is case insensitive, while the file system
is only case retentive and so maps the lang.h64 request to lang.H64?

In bash for example you can run the following to
glob case insensitively:

  shopt -s nocaseglob

I've no experience on such platforms so the above is just a guess,
and we can open the bug again if there is an issue.

thanks,
Pádraig.